#############################################################################
# Makefile for building OscillatorPlugin.so
#############################################################################

####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=       @CFLAGS@ @FLTK_CFLAGS@
CXXFLAGS=       @CXXFLAGS@ @FLTK_CXXFLAGS@
INCPATH	=	-I/usr/X11R6/include
LINK	=	g++ -shared
LFLAGS	=
LIBS	=   @FLTK_LIBS@
MOC     = moc
UIC	=

INSTALL	= @INSTALL@

###### Autoconf variables

prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@

####### Files

HEADERS =	OscillatorPlugin.h \
		OscillatorPluginGUI.h \
		../SpiralPlugin.h \
		../SpiralPluginGUI.h \
		../../ChannelHandler.h \
                ../../Sample.h \
                ../GUI/WS_Square.h \
                ../GUI/WS_Noise.h \
                ../GUI/WS_Saw.h \
		../Widgets/Fl_Knob.H \
		../Widgets/Fl_LED_Button.H \
		../../../GUI/Widgets/SpiralGUI.H
SOURCES =	OscillatorPlugin.C \
		OscillatorPluginGUI.C \
		../SpiralPlugin.C \
		../SpiralPluginGUI.C \
		../../ChannelHandler.C \
		../../Sample.C \
		../Widgets/Fl_Knob.cxx \
		../Widgets/Fl_LED_Button.cxx \
		../../../GUI/Widgets/SpiralGUI.C
OBJECTS =	OscillatorPlugin.o \
		OscillatorPluginGUI.o \
		../SpiralPlugin.o \
		../SpiralPluginGUI.o \
		../../ChannelHandler.o \
		../../Sample.o \
		../Widgets/Fl_Knob.o \
		../Widgets/Fl_LED_Button.o \
		../../../GUI/Widgets/SpiralGUI.o
INTERFACES =
UICDECLS =
UICIMPLS =
SRCMOC	=
OBJMOC	=
DIST	=
TARGET	=	OscillatorPlugin.so

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules


all: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(UICIMPLS) $(UICDECLS) $(TARGET)
	-rm -f *~ core

install:
	$(INSTALL) $(TARGET) $(libdir)/SpiralPlugins

####### Sub-libraries


###### Combined headers


####### Compile

../SpiralPlugin.o: ../SpiralPlugin.C \
		../SpiralPlugin.h \
		../../ChannelHandler.h \
		../../Sample.h

../SpiralPluginGUI.o: ../SpiralPluginGUI.C \
		../SpiralPluginGUI.h \
		../SpiralPlugin.h \
		../../ChannelHandler.h \
		../../../GUI/Widgets/SpiralGUI.H

../Widgets/Fl_Knob.o: ../Widgets/Fl_Knob.cxx \
		../Widgets/Fl_Knob.H

../Widgets/Fl_LED_Button.o: ../Widgets/Fl_LED_Button.cxx \
		../Widgets/Fl_LED_Button.H

../../../GUI/Widgets/SpiralGUI.o: ../../../GUI/Widgets/SpiralGUI.C \
		../../../GUI/Widgets/SpiralGUI.H

../../Sample.o: ../../Sample.C \
		../../Sample.h

OscillatorPlugin.o: OscillatorPlugin.C \
		OscillatorPlugin.h \
		OscillatorPluginGUI.h \
		../SpiralPlugin.h \
		../SpiralPluginGUI.h \
		../../Sample.h \
		SpiralIcon.xpm

OscillatorPluginGUI.o: OscillatorPluginGUI.C \
		OscillatorPluginGUI.h \
		OscillatorPlugin.h \
		../Widgets/Fl_Knob.H \
		../../../GUI/Widgets/SpiralGUI.H \
		../Widgets/Fl_LED_Button.H \
                ../GUI/WS_Square.h \
                ../GUI/WS_Noise.h \
                ../GUI/WS_Saw.h \
		../SpiralPluginGUI.h \
		../SpiralPlugin.h \
		../../Sample.h

../../ChannelHandler.o: ../../ChannelHandler.C \
		../../ChannelHandler.h
